GIT-PEEK-REMOTE(1)

NAME
git-peek-remote - List the references in a remote repository

SYNOPSIS

git peek-remote [--upload-pack=<git-upload-pack>] [<host>:]<directory>

DESCRIPTION

This command is deprecated; use git ls-remote instead.

OPTIONS

--upload-pack=<git-upload-pack>
    Use this to specify the path to git-upload-pack on the remote side, if it is not found on your $PATH. Some installations of sshd ignores the user’s environment setup scripts for login shells (e.g. .bash_profile) and your privately installed git may not be found on the system default $PATH. Another workaround suggested is to set up your $PATH in ".bashrc", but this flag is for people who do not want to pay the overhead for non-interactive shells, but prefer having a lean .bashrc file (they set most of the things up in .bash_profile).

<host>
    A remote host that houses the repository. When this part is specified, git-upload-pack is invoked via ssh.

<directory>
    The repository to sync from.

AUTHOR

Written by Junio C Hamano <gitster@pobox.com[1]>

DOCUMENTATION

Documentation by Junio C Hamano.

GIT

Part of the git(1) suite

NOTES

1.  gitster@pobox.com
    mailto:gitster@pobox.com